/**
  M.G.Poolman 20/7/00
  sute.h - misc. string utils
**/

#ifndef SUTE_H
#define SUTE_H 1


	/*** variations om the theme of safe string concatenation ***/

extern char *Cat(const char *a, const char *b) ;
	/* pre: a and b null term strs ;
	  post: returns ab, which must be freed by user */ 

extern char *Cat(const char *a, const char *b, const char *c) ;
	/* pre: a, b and c null term strs ;
	  post: returns abc, which must be freed by user */


extern char *Copy(const char *str) ;
	/* pre: str is a null terminated string ;
	  post returns a copy of str, which must be freed by the user */


#endif





