

/*****************************************************************************

ScrumPy -- Metabolic Modelling with Python

Copyright Mark Poolman 1995 - 2002

 This file is part of ScrumPy.

    ScrumPy is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    ScrumPy is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with ScrumPy; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


*****************************************************************************/
#ifndef INTEGSCRATCHPAD_H
#define INTEGSCRATCHPAD_H 1


#ifdef __cplusplus
#define extern extern "C"
#endif

#include "ScampiModelBase.h"



extern Integ_ScratchPad_t NewInteg_ScratchPad(ScampiModel_t mod) ;

extern void ResetInteg_ScratchPad(Integ_ScratchPad_t sp) ;
  
extern void DelInteg_ScratchPad(Integ_ScratchPad_t sp) ;

extern void Integrate(Integ_ScratchPad_t sp,double TimeEnd, enum SPI_err *err) ;


#ifdef __cplusplus
#undef extern
#endif

#endif
