"""


ScrumPy -- Metabolic Modelling with Python

Copyright Mark Poolman 1995 - 2011

 This file is part of ScrumPy.

    ScrumPy is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    ScrumPy is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with ScrumPy; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

"""

from wx import FileDialog, FD_SAVE, FD_OVERWRITE_PROMPT

def LoadFile(Parent=None):
    return tkFileDialog.askopenfile(parent=Parent) # OK, maybe we can do something a bit more fancy later
    
def LoadFileName(Parent=None):
    fd = FileDialog(Parent)
    fd.ShowModal()
    return fd.GetPath()
    
def SaveFile(Parent=None):
    return tkFileDialog.asksaveasfile(parent=Parent) # see previous comment

def SaveFileName(Parent=None):
    fd = FileDialog(Parent,style = FD_SAVE|FD_OVERWRITE_PROMPT )
    fd.ShowModal()
    return fd.GetPath()
    
