

"""

ScrumPy -- Metabolic Modelling with Python

Copyright Mark Poolman 1995 - 2002

 This file is part of ScrumPy.

    ScrumPy is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    ScrumPy is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with ScrumPy; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

"""
"""
General purpose GUI stuff
"""




"""

ScrumPy -- Metabolic Modelling with Python

Copyright Mark Poolman 1995 - 2005

 This file is part of ScrumPy.

    ScrumPy is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    ScrumPy is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with ScrumPy; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

"""

import sys


from Plotter import Plotter
from EdWin import EdWin

import FileDialogs

from Mtx import SimpleView as MtxSimpleView

#
##
### wx widget version
##
#


root = None
# root is declared here so that it can be seen in the
# implementations of the following functions.
# the software calling these functions should ensure
# that it is initialised, by calling init (maybe)

print "importing wxgui"

def Init(Root=None):
    global root
    if root==None:
        root = Root
    else:
        print "gui tried to re-init"""



UIType="wx"


############################## messages,
# all we do is make sure that messages.*
# get the right root

import Messages
def ErrorMsg(Message=""):
    Messages.ErrorMsg(Message=Message)

def WarnMsg(Message = ""):
    Messages.WarnMsg(Message=Message)

def InfoMsg(Message = ""):
    Messages.InfoMsg(Message=Message)



################################ file dialogs, as messages


def LoadFile():
    return str(FileDialogs.LoadFile(Parent=root))

def LoadFileName():
    return str(FileDialogs.LoadFileName(Parent=root))

def SaveFile():
    return str(FileDialogs.SaveFile(Parent=root))

def SaveFileName():
    return str(FileDialogs.SaveFileName(Parent=root))




print "wxGUI.__init__.py"
#import gui


#from gui import *
