%module LowLevelKinMod

%typemap(python, in) char **{

    PyObject *PObj  ;
    bool OK = true ;
    if (OK = PyList_Check($source)){

        int len = PyList_Size($source), n ;

        $target = (char **) malloc((len+1)*sizeof(char*))  ;

        for (n = 0 ; n < len && OK ; n++){
            PObj = PyList_GetItem($source, n) ;
            if(OK = PyString_Check(PObj))
                $target[n] = PyString_AsString(PObj) ;
            else
                PyErr_SetString(PyExc_TypeError, "needed a string") ;
        }
        if(OK)
            $target[n] = 0 ;
        else
            delete $target ;
    }
    else
        PyErr_SetString(PyExc_TypeError, "needed a list") ;

    if(!OK) return NULL ;
}


%typemap(python, freearg) char** { free((char *) $source) ;}

%{

#include "LowLevelKinMod.h"

%}

%include "carrays.i"
%array_functions(double, doubleArray)
%include "LowLevelKinMod.h"
%include "../scampi/ScampiModelBase.h"

