/***
  M.G.Poolman 20/7/00
  fute.h - misc. file utils
***/


#ifndef FUTE_H
#define FUTE_H 1

extern bool IsReadable(const char *fname) ;
	/* pre: True
	  post: IsReadable(fname) => this proc. can read from fname */

extern bool IsNewer(const char *fileA, const char *fileB) ;
	/* pre: IsReadable(fileA), IsReadable(fileB) ;
	  post: IsNewer(fileA, fileB) => fileA has more recent mtime than fileB */



extern int CountChars(const char *fname, const char targ) ;
	/* pre: true
	  post: n = CountChars(f,t) >= 0 => n is number of instances of t in f before EOF
	  	    n < 0 => couldn't open f for reading */  

#endif
