

/******************************************************************************
ScrumPy -- Metabolic Modelling with Python

Copyright Mark Poolman 1995 - 2002

 This file is part of ScrumPy.

    ScrumPy is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    ScrumPy is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with ScrumPy; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*******************************************************************************/
#include <string.h>
#include <stdlib.h>
#include "sute.h"

	/*** variations om the theme of safe string concatenation ***/

char *Cat(const char *a, const char *b){

  char *rv = (char *) calloc(1, strlen(a) + strlen(b) +2) ;
  strcpy (rv, a) ;
  strcat(rv, b) ;
  return(rv) ;
} ;


char *Cat(const char *a, const char *b, const char *c){

  char *rv = (char *) calloc(1, strlen(a) + strlen(b) + strlen(c) +3) ;
  strcpy (rv, a) ;
  strcat(rv, b) ;
  strcat(rv,c) ;
  return(rv) ;
} ;

char *Copy(const char *str) {

  char *rv ;
  rv = (char *) calloc(strlen(str)+1,1) ;
  strcpy(rv, str) ;
  return rv ;
} 





