

/*****************************************************************************

ScrumPy -- Metabolic Modelling with Python

Copyright Mark Poolman 1995 - 2002

 This file is part of ScrumPy.

    ScrumPy is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    ScrumPy is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with ScrumPy; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


*****************************************************************************/
/*
M.G.Poolman 12/06/01 onward
c2py - part of ScrumPy - functions using python objects that SWIG won't
deal with, mainly lists
*/

#ifndef C2PY_H
#define C2PY_H 

#include <Python.h>



extern PyObject *PyGetVec(PyObject *self, PyObject *args) ;
/* args: (self.this, component), return List of Float, values of component */

extern PyObject *PyGetVecNames(PyObject *self, PyObject *args) ;
/* args - (self.this, component), return List of String, names of component */ 

extern PyObject *PySetVec(PyObject *self, PyObject *args) ;
/* args - (self.this, List of Float, component), return None */
	
PyObject *PyGetNthGenome(PyObject *self, PyObject *args) ;
	
	
#endif
