import os, sys

import BasicInfo
Location = BasicInfo.Location

ExtraPaths=[
            Location,
            os.sep.join((Location, "ThirdParty")),
            "/usr/local/ScrumPy",               # global local (iyswim) extra modules
]

home =os.getenv("HOME")
if home != None:
    ExtraPaths.append(home +"/.ScrumPy")

for path in ExtraPaths:
    if not path in sys.path:
        sys.path.append(path)


import Model
from Util import Kali

from Model import Param, Conc, Vel,dMet

init=False
gui=None
def Init(TheGui=None):

    global gui
    global Model
    global init

    if init:
        print "ignore re-init"
    else:

        if TheGui==None:
            gui=Kali.Kali("No GUI")
        else:
           gui=TheGui
        Model.Init(gui)
        Model = Model.Model
        init=True

