

from wx import grid, Frame



class MtxGrid(grid.Grid): ##, mixins.GridAutoEditMixin):
    def __init__(self, parent,mtx):
        grid.Grid.__init__(self, parent, -1)
        self.log = None
        self.moveTo = None
        #self.Bind(wx.EVT_IDLE, self.OnIdle)

        nRows = len(mtx.rnames)
        nCols = len(mtx.cnames)
        self.CreateGrid(nRows,nCols)

        ##self.EnableEditing(False)

        # simple cell formatting
        self.SetColSize(3, 200)
        self.SetRowSize(4, 45)

        for n in range(nRows):
            self.SetRowLabelValue(n, mtx.rnames[n])
        for n in range(nCols):
            self.SetColLabelValue(n, mtx.cnames[n])

        for r in range(nRows):
            for c in range(nCols):
                val = mtx[r,c]
                if float(val) == int(val):
                    strval = str(int(val))
                else:
                    strval = str(val)

                self.SetCellValue(r,c,strval)



class SimpleView(Frame):

    def __init__(self,mtx):
        Frame.__init__(self,None)
        self.grid = MtxGrid(self,mtx)

