#"""
#
#
#ScrumPy -- Metabolic Modelling with Python
#
#Copyright Mark Poolman 1995 - 2002
#
# This file is part of ScrumPy.
#
#    ScrumPy is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    ScrumPy is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with ScrumPy; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#"""
#import Tkinter
##from ScrumPy.ThirdParty.Pmw
#import  Pmw
#
#
#import Messages
#
#class SimRequest:
#    def __init__(self,root, Model, IniStep=1, IniSize=1.0):
#
#        self.root = root
#        self.Model = Model
#
#        self.dia = Pmw.Dialog(
#            root,
#            buttons=("OK","Cancel"),
#            command=self.ButtonClick)
#
#        dia = self.dia
#
#        self.NSteps = Pmw.Counter(
#            dia.interior(),
#            labelpos = "w",
#            label_text = "Steps",
#            entryfield_value = Model.NSteps, # IniStep,
#            entryfield_validate = {'validator' : 'integer',
#                        'min' : 0},
#            increment = 20
#        )
#
#        self.StepSize=  Pmw.Counter(
#            dia.interior(),
#            labelpos = "w",
#            label_text = "Step size",
#            entryfield_value = Model.Tincr, #IniSize,
#            entryfield_validate = {'validator' : 'real',
#                        'min' : 0.0},
#            increment = IniStep/100.0,
#            datatype = {'counter' : 'real'}
#        )
#
#        Pmw.alignlabels((self.NSteps, self.StepSize))
#        self.NSteps.pack(fill='x', expand=1, padx=10, pady=5)
#        self.StepSize.pack(fill='x', expand=1, padx=10, pady=5)
#
#
#    def ButtonClick(self, Button):
#
#        if Button == "OK":
#            StepSize,NSteps = self.GetVals()
#            if not StepSize >0.0:
#                print "Simulate:\nStep size must be greater than zero\n(try again)"
#                Messages.ErrorMsg(
#                    Parent=self.root,
#                    Message =
#                    "Simulate:\nStep size must be greater than zero\n(try again)")
#            else:
#                self.Model.Simulate(StepSize,NSteps)
#        else:
#            self.dia.destroy()
#
#
#    def GetVals(self):
#        return [float(self.StepSize.get()),int(self.NSteps.get())]
#
#
#
#
#
